import { type SynapseBridgeContract, type L1BridgeZapContract, type L2BridgeZapContract, type GenericZapBridgeContract, type BridgeConfigV3Contract } from "./contracts";
import type { SignerOrProvider } from "./common/types";
export declare const newSynapseBridgeInstance: (params: {
    address: string;
    signerOrProvider?: SignerOrProvider;
}) => SynapseBridgeContract;
export declare const newL1BridgeZapInstance: (params: {
    address: string;
    signerOrProvider?: SignerOrProvider;
}) => L1BridgeZapContract;
export declare const newL2BridgeZapInstance: (params: {
    address: string;
    signerOrProvider?: SignerOrProvider;
}) => L2BridgeZapContract;
export declare namespace SynapseEntities {
    interface NewEntityParams {
        chainId: number;
        signerOrProvider?: SignerOrProvider;
    }
    const synapseBridge: (params: NewEntityParams) => SynapseBridgeContract;
    const l1BridgeZap: (params: NewEntityParams) => L1BridgeZapContract;
    const l2BridgeZap: (params: NewEntityParams) => L2BridgeZapContract;
    const zapBridge: (params: NewEntityParams) => GenericZapBridgeContract;
    const bridgeConfigV3: () => BridgeConfigV3Contract;
}
